
Redmine - Defect #21139

Error in journal_details

2015-11-03 17:02 - Сергей Бондарев

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

i got Error 500 in one of issues

production.log:

Started GET "/issues/7815" for 91.205.47.195 at 2015-11-03 18:08:47 +0300

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"7815"}

  Current user: s.bondarev (id=141)

  Rendered issues/_action_menu.html.erb (3.7ms)

  Rendered attachments/_links.html.erb (4.0ms)

  Rendered issue_relations/_form.html.erb (1.8ms)

  Rendered issues/_relations.html.erb (2.6ms)

  Rendered issues/_history.html.erb (53.1ms)

  Rendered issues/show.html.erb within layouts/base (92.8ms)

Completed 500 Internal Server Error in 157ms (ActiveRecord: 12.4ms)

ActionView::Template::Error (undefined method `project' for nil:NilClass):

     9:

    10:     <% if journal.details.any? %>

    11:     <ul class="details">

    12:       <% details_to_strings(journal.visible_details).each do |string| %>

    13:        <li><%= string %></li>

    14:       <% end %>

    15:     </ul>

  app/helpers/issues_helper.rb:345:in `block in details_to_strings'

  app/helpers/issues_helper.rb:331:in `each'

  app/helpers/issues_helper.rb:331:in `details_to_strings'

  app/views/issues/_history.html.erb:12:in `block in _app_views_issues__history_html_erb__75686094

7688524154_82188920'

  app/views/issues/_history.html.erb:2:in `each'

  app/views/issues/_history.html.erb:2:in `_app_views_issues__history_html_erb__756860947688524154

_82188920'

  app/views/issues/show.html.erb:124:in `_app_views_issues_show_html_erb___3370798931249239145_335

77620'

  app/controllers/issues_controller.rb:118:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:115:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2015-11-03 17:03 - Сергей Бондарев

i found record in table journal_details for last added record to issue 7815

+----   +------------+------------+----------+-----------+--------------------------------------+

| id    | journal_id | property   | prop_key | old_value | value                                |

+----   +------------+------------+----------+-----------+--------------------------------------+

| 35019 |      27013 | attachment | 1810     | NULL      | parse.php

 delete from journal_details where id=35019;

and issue render is ok. no erorr!
what is bug ?

#2 - 2015-11-03 20:02 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#3 - 2015-11-04 22:32 - Сергей Бондарев

sh: darcs: command not found

sh: hg: command not found

sh: bzr: command not found

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.1.6-p336 (2015-04-13) [x86_64-linux-gnu]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem

Redmine plugins:

  redmine_bootstrap_kit          0.2.3

  redmine_jenkins                1.0.1

  redmine_nbl_branding           0.0.2

 
[/opt/redmine]# git branch

  2.2-stable

  2.5-stable

* 3.1-stable

  help

[/opt/redmine]# git log

commit 88fd9608edc00a5146f9c7505bd6628de8ce56b2

Author: Jean-Philippe Lang <jp_lang@yahoo.fr>

Date:   Fri Oct 9 07:36:25 2015 +0000

    Merged r14662 (#20730).

    git-svn-id: http://svn.redmine.org/redmine/branches/3.1-stable@14663 e93f8b4

#4 - 2015-11-05 03:00 - Toshi MARUYAMA

I think your plugin overrides because there is no project attribute on Redmine core.

source:tags/3.1.1/app/helpers/issues_helper.rb#L345

#5 - 2018-11-03 04:34 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
